OmwAIOmwAI
API GuideAPI ReferenceProgramming Tools
Suno

Stem Extraction

Extract one selected stem from a Suno song

Use stem_type to extract vocals, drums, bass, piano, or another supported stem.

POST
/suno/submit/STEMS

Authorization

BearerAuth

AuthorizationBearer <token>

使用 Bearer Token 认证:Authorization: Bearer sk-xxxxxx。

In: header

Request Body

application/json

music_id*string
stem_type?string

TTAPI 支持的 stem 类型,例如 lead_vocal、drum_kit、bass、piano

Default"lead_vocal"
audio_format?string
Value in"mp3" | "m4a" | "wav"
hookUrl?string
isStorage?booleanDeprecated

Response Body

application/json

application/json

curl -X POST "https://www.omwai.xyz/suno/submit/STEMS" \  -H "Content-Type: application/json" \  -d '{    "music_id": "music_xxx",    "stem_type": "lead_vocal",    "audio_format": "wav"  }'
{
  "code": "success",
  "message": "success",
  "data": "task_01J8ABCDEFGHIJKLMNOPQRST"
}
{
  "code": "invalid_request",
  "message": "string"
}

How is this guide?

Last updated on